# AIRRSHIP - Adaptive Immune Receptor Repertoire Simulation of Human Immunoglobulin Production

AIRRSHIP simulates B cell receptor (BCR) sequences for use in benchmarking applications where BCR sequences of known origin are required.

AIRRSHIP replicates the VDJ recombination process from haplotype through to somatic hypermutation. Recombination metrics are derived from a range of experimental sequences allowing faithful replication of true repertoires. Users may also control a wide range of parameters that influence allele usage, junctional diversity and somatic hypermutation rates. The current model extends to human heavy chain BCR sequences only. 

## Installation

```
pip install airrship
```

## Documentation

Full documentation is available [here](https://airrship.readthedocs.io). 

## Example datasets

If you do not wish to install and run AIRRSHIP yourself or want to explore the output yourself first, a small example repertoire is hosted at the AIRRSHIP [GitHub repository](https://github.com/Cowanlab/airrship). Larger example repertoire files are available at [Zenodo](https://doi.org/10.5281/zenodo.7568251).

## Publications

A preprint is currently available at https://doi.org/10.1101/2022.12.20.521228.